CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- f
- g
- h
- j
- k
- l
- m
- n
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- a : sfColor
- address : sfIpAddress
- advance : sfGlyph
- alphaDstFactor : sfBlendMode
- alphaEquation : sfBlendMode
- alphaSrcFactor : sfBlendMode
- alt : sfKeyEvent
- antialiasingLevel : sfContextSettings
- attributeFlags : sfContextSettings
- axis : sfJoystickMoveEvent

### - b -

- b : sfColor
- bitsPerPixel : sfVideoMode
- blendMode : sfRenderStates
- bounds : sfGlyph
- button : sfJoystickButtonEvent , sfMouseButtonEvent

### - c -

- code : sfKeyEvent
- color : sfVertex
- colorDstFactor : sfBlendMode
- colorEquation : sfBlendMode
- colorSrcFactor : sfBlendMode
- control : sfKeyEvent

### - d -

- delta : sfMouseWheelEvent , sfMouseWheelScrollEvent
- depthBits : sfContextSettings

### - f -

- family : sfFontInfo
- finger : sfTouchEvent

### - g -

- g : sfColor
- getSize : sfInputStream

### - h -

- height : sfFloatRect , sfIntRect , sfSizeEvent , sfVideoMode

### - j -

- joystickButton : sfEvent
- joystickConnect : sfEvent
- joystickId : sfJoystickButtonEvent , sfJoystickConnectEvent , sfJoystickMoveEvent
- joystickMove : sfEvent

### - k -

- key : sfEvent

### - l -

- left : sfFloatRect , sfIntRect

### - m -

- majorVersion : sfContextSettings
- matrix : sfTransform
- microseconds : sfTime
- minorVersion : sfContextSettings
- mouseButton : sfEvent
- mouseMove : sfEvent
- mouseWheel : sfEvent
- mouseWheelScroll : sfEvent

### - n -

- name : sfJoystickIdentification

### - p -

- position : sfJoystickMoveEvent , sfVertex
- productId : sfJoystickIdentification

### - r -

- r : sfColor
- read : sfInputStream

### - s -

- sampleCount : sfSoundStreamChunk
- samples : sfSoundStreamChunk
- seek : sfInputStream
- sensor : sfEvent
- sensorType : sfSensorEvent
- shader : sfRenderStates
- shift : sfKeyEvent
- size : sfEvent
- stencilBits : sfContextSettings
- system : sfKeyEvent

### - t -

- tell : sfInputStream
- texCoords : sfVertex
- text : sfEvent
- texture : sfRenderStates
- textureRect : sfGlyph
- top : sfFloatRect , sfIntRect
- touch : sfEvent
- transform : sfRenderStates
- type : sfEvent , sfJoystickButtonEvent , sfJoystickConnectEvent , sfJoystickMoveEvent , sfKeyEvent , sfMouseButtonEvent , sfMouseMoveEvent , sfMouseWheelEvent , sfMouseWheelScrollEvent , sfSensorEvent , sfSizeEvent , sfTextEvent , sfTouchEvent

### - u -

- unicode : sfTextEvent
- userData : sfInputStream

### - v -

- vendorId : sfJoystickIdentification

### - w -

- wheel : sfMouseWheelScrollEvent
- width : sfFloatRect , sfIntRect , sfSizeEvent , sfVideoMode

### - x -

- x : sfMouseButtonEvent , sfMouseMoveEvent , sfMouseWheelEvent , sfMouseWheelScrollEvent , sfSensorEvent , sfTouchEvent , sfVector2f , sfVector2i , sfVector2u , sfVector3f

### - y -

- y : sfMouseButtonEvent , sfMouseMoveEvent , sfMouseWheelEvent , sfMouseWheelScrollEvent , sfSensorEvent , sfTouchEvent , sfVector2f , sfVector2i , sfVector2u , sfVector3f

### - z -

- z : sfSensorEvent , sfVector3f